Package com.pixelmed.convert

# Class RawToDicomMultiFrame

java.lang.Object
com.pixelmed.convert.RawToDicomMultiFrame

public class RawToDicomMultiFrame extends Object

A class for converting raw image input format files into images of a specified or appropriate SOP Class.

## Constructor Summary

Constructors
Constructor
Description
`RawToDicomMultiFrame(String formatFileName, String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber)`
Read a raw image input format files and create an image of a specified or appropriate SOP Class.
`RawToDicomMultiFrame(String formatFileName, String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, String modality, String sopClass)`
Read a raw image input format file and create an image of a specified or appropriate SOP Class.

## Method Summary

Modifier and Type
Method
Description
`static AttributeList`
`generateDICOMPixelDataModuleAttributesFromNRRDFile(File inputFile, RawImageDescription rawImageDesc, AttributeList list)`
Using a raw image input file and header, create DICOM Pixel Data Module attributes.
`static void`
`main(String[] arg)`
Read a raw multiframe image input format file and create an image of a specified or appropriate SOP Class.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawToDicomMultiFrame

public RawToDicomMultiFrame(String formatFileName, String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber) throws IOException, DicomException

Read a raw image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `formatFileName` -
  `inputFileName` -
  `outputFileName` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
Throws:
  `IOException`
  `DicomException`

### RawToDicomMultiFrame

public RawToDicomMultiFrame(String formatFileName, String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, String modality, String sopClass) throws IOException, DicomException, NumberFormatException

Read a raw image input format file and create an image of a specified or appropriate SOP Class.

Parameters:
  `formatFileName` -
  `inputFileName` -
  `outputFileName` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
  `modality` - may be null
  `sopClass` - may be null
Throws:
  `IOException`
  `DicomException`
  `NumberFormatException`

## Method Details

### generateDICOMPixelDataModuleAttributesFromNRRDFile

public static AttributeList generateDICOMPixelDataModuleAttributesFromNRRDFile(File inputFile, RawImageDescription rawImageDesc, AttributeList list) throws IOException, DicomException, NumberFormatException

Using a raw image input file and header, create DICOM Pixel Data Module attributes.

Parameters:
  `inputFile` - a raw format image file
  `rawImageDesc` - a raw image description already read from the inputFile
  `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already include "better" image pixel module attributes to use return attribute list with Image Pixel Module (including Pixel Data) and other attributes added
Throws:
  `IOException`
  `DicomException`
  `NumberFormatException`

### main

public static void main(String[] arg)

Read a raw multiframe image input format file and create an image of a specified or appropriate SOP Class.

If multiple single frame raw images are to be converted, first cat them together in the correct order.

Parameters:
  `arg` - eight, nine or ten parameters, the JSON formatFile, inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, and optionally the modality, and SOP Class